Name:           python-rdfizer
Version:        4.7.5.11
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This project presents the SDM-RDFizer, an interpreter of mapping rules that allows the transformation of (un)structured data into RDF knowledge graphs. The current version of the SDM-RDFizer assumes mapping rules are defined in the RDF Mapping Language (RML) by Dimou et al.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/SDM-TIB/SDM-RDFizer
Source:         %{pypi_source rdfizer}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'rdfizer' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-rdfizer
Summary:        %{summary}

%description -n python3-rdfizer %_description


%prep
%autosetup -p1 -n rdfizer-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-rdfizer -f %{pyproject_files}


%changelog
%autochangelog